#ifndef TESTSEAPLANE_H_
#define TESTSEAPLANE_H_

#include <cxxtest/TestSuite.h>

#include "Seaplane.h"

class TestSeaplane: public CxxTest::TestSuite {
public:
	void testSeaplane() {
		Seaplane as;
		TS_ASSERT_EQUALS(as.getEngineDisplacement(), 3);
		TS_ASSERT_EQUALS(as.getWingSpan(), 5);
	}

	void testTurnOnEngine() {
		Seaplane as;
		int result = as.turnOnEngine();
		TS_ASSERT_EQUALS( result, Airplane::engineStatus);
	}

};

#endif /*TESTSEAPLANE_H_*/
